"""Access codes (aka PINs)
--------------------------

Access codes are special objects used for identifying users. Each
access code has a portal-wide unique number.

Main content components are defined in
:mod:`waeup.sirp.accesscodes.accesscodes`. This subpackage also
provides a _catalog_ to lookup any access code quickly and a
_workflow_ to guarantee consistent states and transitions when dealing
with it.

We also provide UI components to generate, archive, import and
reimport access codes or batches thereof. These parts are defined in
:mod:`waeup.sirp.accesscodes.browser`.

"""
from waeup.sirp.accesscodes.accesscodes import (
    get_access_code, invalidate_accesscode, disable_accesscode,
    reenable_accesscode, AccessCode, AccessCodeBatch, AccessCodeBatchContainer)

# Public API of this submodule
__all__ = [
    'AccessCodeBatchContainer',
    'AccessCodeBatch',
    'AccessCode',
    'get_access_code',
    'invalidate_accesscode',
    'disable_accesscode',
    'reenable_accesscode',
    ]
